Page MenuHomePhabricator

Deploy Growth features on Gan, Inuktitut and Tajik Wikipedia
Closed, ResolvedPublicOct 20 2021

Description

In order to achieve the deployment of Growth features at Wikipedia, we have these 3 wikis remaining.

  • gan - Gan
  • iu - Inuktitut
  • tg - Tajik

This follows the discussions happening at T290614: Activation of the visual editor by default on a few wikis.

Let's start by deploying Growth features in dark mode there (can be done anytime), with activation of the visual editor for all users (T290614: Activation of the visual editor by default on a few wikis).

Event Timeline

Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald Transcript
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
kostajh added a subscriber: kostajh.

@Trizek-WMF I'm assuming this is something for @Urbanecm_WMF to work on in the current sprint.

@Trizek-WMF I'm assuming this is something for @Urbanecm_WMF to work on in the current sprint.

Yes, this is why I assigned it to him. :)

@Trizek-WMF I'm assuming this is something for @Urbanecm_WMF to work on in the current sprint.

I'm not sure this is actionable for me now. All three Wikipedias mentioned in the task description do not have visual editor enabled. We need first to enable VE by default there. While that's pretty easy to do technically, I'd like to make sure neither the community nor the Editing-team objects to that :-).

Can you help me with that? Thanks!

Urbanecm_WMF edited projects, added Growth-Team; removed Growth-Team (Current Sprint).
Urbanecm_WMF added a subscriber: Urbanecm_WMF.

Boldly putting it off sprint and unassigning, as it is not actionable for me at this point. Let me know once VE is ready for deployment there! Thanks.

Trizek-WMF set Due Date to Oct 13 2021, 4:00 PM.Oct 6 2021, 3:56 PM

Change 730788 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Deploy Growth wikis to 4 wikis in dark mode

https://gerrit.wikimedia.org/r/730788

Per https://wikimedia.slack.com/archives/C010F7PJRRV/p1628274295011600?thread_ts=1628190738.008200&cid=C010F7PJRRV, we decided to deploy visual editor to all accounts instead of just to newcomers, as the latter would require a technical hack that we don't want to (re)introduce.

Change 730788 merged by jenkins-bot:

[operations/mediawiki-config@master] Deploy Growth wikis to 4 wikis in dark mode

https://gerrit.wikimedia.org/r/730788

Mentioned in SAL (#wikimedia-operations) [2021-10-14T14:04:47Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: b35adfc59eec9c19b509bb9439cdfe33978a4f8b: Deploy Growth wikis to 4 wikis in dark mode (T291826; 1/2) (duration: 01m 04s)

Mentioned in SAL (#wikimedia-operations) [2021-10-14T14:07:10Z] <urbanecm> Create growthexperiments DB tables for ganwiki, iuwiki, tgwiki (T291826)

Mentioned in SAL (#wikimedia-operations) [2021-10-14T14:07:23Z] <urbanecm> Run extensions/GrowthExperiments/initWikiConfig.php for ganwiki, iuwiki, tgwiki (T291826)

Mentioned in SAL (#wikimedia-operations) [2021-10-14T14:10:22Z] <urbanecm@deploy1002> Synchronized dblists/growthexperiments.dblist: b35adfc59eec9c19b509bb9439cdfe33978a4f8b: Deploy Growth wikis to 4 wikis in dark mode (T291826; 2/2) (duration: 01m 03s)

Trizek-WMF changed Due Date from Oct 13 2021, 4:00 PM to Oct 20 2021, 4:00 PM.Oct 18 2021, 5:05 PM

Change 732437 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Promote Growth features out of darkmode on several wikis

https://gerrit.wikimedia.org/r/732437

Change 732437 merged by jenkins-bot:

[operations/mediawiki-config@master] Promote Growth features out of darkmode on several wikis

https://gerrit.wikimedia.org/r/732437

Mentioned in SAL (#wikimedia-operations) [2021-10-20T21:08:28Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: b9cf996a38d82fdd67e600a5a951e88423957e8d: Promote Growth features out of darkmode on several wikis (T291826, T255037, T287878) (duration: 01m 04s)

Etonkovidova added a subscriber: Etonkovidova.

Checked the following wikis.

  • gan - Gan
  • iu - Inuktitut
  • tg - Tajik

All GrowthExperiments features look as expected. VE also seem to be ok.